GRUB-MKIMAGE(1)

BEZEICHNUNG
grub-mkimage - ein startfähiges GRUB-Abbild erstellen

ÜBERSICHT
grub-mkimage [OPTION…] [OPTION]… [MODULE]

BESCHREIBUNG
Erstellt ein startfähiges GRUB-Abbild.

-c, --config=DATEI
    bettet die angegebene DATEI als Frühkonfiguration ein.

-C, --compression=(xz|none|auto)
    wählt die für das Speicherkern-Abbild zu verwendende Kompression.

--disable-cli
    deaktiviert den Befehlzeilenschnittstellenzugriff.

--disable-shim-lock
    deaktiviert die shim_lock-Überprüfung.

-d, --directory=VERZEICHNIS
    verwendet Abbilder und Module im angegebenen VERZEICHNIS (Vorgabe ist /usr/lib/grub/<Plattform>).

-D, --dtb=DATEI
    bettet die angegebene DATEI als »Device tree« (DTB) ein.

-k, --pubkey=DATEI
    bettet die angegebene DATEI als öffentlichen Schlüssel für die Überprüfung der PGP-Signatur ein.

-m,                              --memdisk=DATEI
    bettet die angegebene DATEI als Speichergerät-Abbild ein.

Impliziert -p (Speichergerät)/boot/grub und setzt jedes

vorher übergebene Präfix außer Kraft, aber das Präfix
    selbst kann durch später angegebene Optionen außer Kraft gesetzt werden.

-n, --note
    fügt einen NOTE-Teil für CHRP IEEE1275 hinzu.

-o, --output=DATEI
    gibt das erzeugte Abbild in die angegebene DATEI aus (per Vorgabe wird in die Standardausgabe geschrieben).

-O, --format=FORMAT
    erzeugt ein Abbild im angegebenen FORMAT. Folgende Formate sind verfügbar: i386-coreboot, i386-multiboot, i386-pc, i386-xen_pvh, i386-pc-pxe, i386-pc-eltorito, i386-efi, i386-ieee1275, i386-qemu, x86_64-efi, i386-xen, x86_64-xen, mipsel-yeeloong-flash, mipsel-fuloong2f-flash, mipsel-loongson-elf, powerpc-ieee1275, sparc64-ieee1275-raw, sparc64-ieee1275-cdcore, sparc64-ieee1275-aout, ia64-efi, mips-arc, mipsel-arc, mipsel-qemu_mips-elf, mips-qemu_mips-flash, mipsel-qemu_mips-flash, mips-qemu_mips-elf, arm-uboot, arm-coreboot-vexpress, arm-coreboot-veyron, arm-efi, arm64-efi, loongarch64-efi, riscv32-efi, riscv64-efi

-p, --prefix=VERZEICHNIS
    legt das Präfix-Verzeichnis fest.

-s, --sbat=DATEI
    SBAT-Metadaten

-S, --appended-signature-size=GRÖSSE
    fügt einen Notizbereich hinzu, der die angegebene GRÖSSE an Bytes für die angehängte Signatur reserviert.

-v, --verbose
    gibt ausführliche Meldungen aus.

-x, --x509key=DATEI
    bettet die angegebene DATEI als x509-Zertifikat für die Überprüfung der angehängten Signatur ein.

-?, --help
    gibt eine kurze Hilfe aus.

--usage
    gibt eine kurze Meldung zur Verwendung aus.

-V, --version
    gibt die Programmversion aus.

Erforderliche oder optionale Argumente für lange Optionen sind ebenso erforderlich bzw. optional für die entsprechenden Kurzoptionen.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-grub@gnu.org.

SIEHE AUCH
grub-install(8), grub-mkrescue(1), grub-mknetdir(8)

Die vollständige Dokumentation für grub-mkimage wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und grub-mkimage auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info grub-mkimage

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.